Subject: Re: [tram] Call for adoption: draft-johnston-tram-turnbis-01

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Mon, 18 Aug 2014 06:28:14 +0000

> -----Original Message-----
> From: tram [mailto:[email-masked]] On Behalf Of Brandon Williams
> Sent: Friday, August 15, 2014 8:32 PM
> To: [email-masked]
> Subject: Re: [tram] Call for adoption: draft-johnston-tram-turnbis-01
> 
> +1 to WG
> 
> I think that both TURNbis and STUNbis should cover things that the WG
> considers to be problems with the core protocols that apply broadly to
> virtually any STUN/TURN deployment. For that reason ...
> 
> +1 to incorporating SSODA (I think IPv4/6 dual stack support should be
> considered a core TURN requirement)
> 
> I'm uncertain what I think about the ORIGIN draft here. It mostly
> applies to 3rd party TURN service deployments I think, so I agree with
> not folding it into TURNbis. I'm just not sure whether an extension for
> improved 3rd party support even needs to be referenced. Are we intending
> to reference all such 3rd party support extensions?
> 
> To be clear, I don't object to it being referenced. I'm just not sure it
> needs to be in order for TURNbis to be complete.

we can consider adding a new section that discusses about third party 
TURN servers.

Cheers,
-Tiru

> 
> --Brandon
> 
> On 08/14/2014 12:24 AM, Tirumaleswar Reddy (tireddy) wrote:
> >> -----Original Message-----
> >> From: tram [mailto:[email-masked]] On Behalf Of Gonzalo
> Salgueiro
> >> (gsalguei)
> >> Sent: Wednesday, August 13, 2014 8:29 PM
> >> To: [email-masked]
> >> Subject: Re: [tram] Call for adoption: draft-johnston-tram-turnbis-01
> >>
> >> +1 to referencing ORIGIN.
> >>
> >> +1 to incorporating SSODA into TURNbis
> >>
> >> +1 to adoption of draft-johnston-tram-turnbis-01 as WG doc
> >
> > +1 to all above.
> >
> > -Tiru
> >
> >>
> >> [so that's a +3 by my count]
> >>
> >> -G
> >>
> >>
> >> On Aug 13, 2014, at 3:42 AM, Pal Martinsen (palmarti)
> <[email-masked]>
> >> wrote:
> >>
> >>>
> >>> +1 to referencing ORIGIN.
> >>>
> >>> +1 to incorporating SSODA into TURNbis
> >>>
> >>> SSODA now have two implementations (Both OpenSource). Coturn
> >>> (https://code.google.com/p/coturn/) and NATtools
> >>> (https://github.com/cisco/NATTools)
> >>>
> >>> I think the SSODA draft is ready to be merged into TURNbis and continue
> >> the discussion there. There probably still issues to be discussed, but better
> to
> >> have them in a WG document than an I-D? Or?
> >>>
> >>> .-.
> >>> Pål-Erik
> >>>
> >>>
> >>> On 12 Aug 2014, at 22:53, Justin Uberti <[email-masked]> wrote:
> >>>
> >>>> I agree that simply referencing ORIGIN makes more sense. Also agree
> that
> >> we should try to incorporate SSODA.
> >>>>
> >>>> On Tue, Aug 12, 2014 at 9:42 AM, Alan Johnston
> >> <[email-masked]> wrote:
> >>>> Hi Oleg,
> >>>>
> >>>> The ORIGIN attribute applies to both STUN and TURN, so if it were to be
> >> merged, it would be into STUN-bis.  I'm not so sure about merging as the
> >> ORIGIN draft is almost ready for last call.  The ORIGIN RFC could be
> >> normatively referenced by both STUN-bis and TURN-bis when they are
> >> published next year, if needed.
> >>>>
> >>>> - Alan -
> >>>>
> >>>>
> >>>> On Tue, Aug 12, 2014 at 11:25 AM, Oleg Moskalenko
> >> <[email-masked]> wrote:
> >>>>
> >>>>
> >>>>
> >>>> On Tue, Aug 12, 2014 at 8:43 AM, Simon Perreault
> <[email-masked]>
> >> wrote:
> >>>> With WG chair hat off, I will provide my own personal views...
> >>>>
> >>>> On Tue, Aug 12, 2014 at 11:33 AM, Simon Perreault
> >> <[email-masked]> wrote:
> >>>>> - What do we want to achieve with TURN-bis? That is, beyond the
> >>>>> errata and tracker issues, when will we consider the draft to be
> >>>>> "done" and ready to be sent to IESG?
> >>>>
> >>>> I think we need to merge TURN-IPv6 into the base spec. IPv4-only
> >>>> protocols are a thing of the past.
> >>>>
> >>>> I don't think we need to merge TURN-TCP. The base spec could remain
> >>>> compatible with the TURN-TCP RFC so that we don't need to update it
> >>>> too.
> >>>>
> >>>> I think that it would make sense to merge the SSODA draft into the base
> >> spec.
> >>>>
> >>>>
> >>>> I agree, and I'd merge the ORIGIN draft, too. That is a very important
> >> change for a large enterprise.
> >>>>
> >>>>
> >>>>> - Given what we want to achieve, is this draft a good start? "Good"
> >>>>> meaning it is going in the right direction, not that it is close to
> >>>>> the end goal.
> >>>>
> >>>> Since the draft is so close to the starting line, it's hard to go in
> >>>> the wrong direction...
> >>>>
> >>>> Simon
> >>>>
> >>>> _______________________________________________
> >>>> tram mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/tram
> >>>>
> >>>>
> >>>> _______________________________________________
> >>>> tram mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/tram
> >>>>
> >>>>
> >>>>
> >>>> _______________________________________________
> >>>> tram mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/tram
> >>>>
> >>>>
> >>>> _______________________________________________
> >>>> tram mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/tram
> >>>
> >>> _______________________________________________
> >>> tram mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/tram
> >>
> >> _______________________________________________
> >> tram mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/tram
> >
> > _______________________________________________
> > tram mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/tram
> >
> 
> --
> Brandon Williams; Senior Principal Software Engineer
> Emerging Products Engineering; Akamai Technologies Inc.
> 
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram